#include <stdint.h>
#include <stdio.h>
#include <math.h>

#include "acrtclib.c"

int main(void)
{
    uint16_t n,x1,y1,x2,y2,r,c;

    puts("\nGraphics Demo1 V1.00\n");

    mode5();
    cls(1);
    org();

    n=250;
    while(n!=0)
    {
        x1=rand() % 640;
        x2=rand() % 640;
        y1=rand() % 480;
        y2=rand() % 480;
        c=rand() % 16;
        colour(c);
        line(x1,y1,x2,y2);
        n--;
    }
//    delay(500000);
    cls(1);
    n=250;
    while(n!=0)
    {
        x1=rand() % 640;
        x2=rand() % 640;
        y1=rand() % 480;
        y2=rand() % 480;
        c=rand() % 16;
        colour(c);
        rectangle(x1,y1,x2,y2);
        n--;
    }
//    delay(500000);
    cls(1);
    n=250;
    while(n!=0)
    {
        x1=rand() % 640;
        y1=rand() % 480;
        r=rand() % 50;
        c=rand() % 16;
        colour(c);
        circle(x1,y1,r);
        n--;
    }
//    delay(500000);
    cls(1);
    n=4000;
    while(n!=0)
    {
        x1=rand() % 640;
        y1=rand() % 480;
        c=rand() % 16;
        colour(c);
        dot(x1,y1);
        n--;
    }
    double n2=0;
    double d=1.95;
    double pi=3.14159;
    colour(6);
    while(n2<=pi*2)
    {
        x1=(uint16_t)((HRES/2)+cos(n2)*70+0.5);
        x2=(uint16_t)((HRES/2)+cos(n2+d)*80+0.5);
        y1=(uint16_t)(120+sin(n2)*20+0.5);
        y2=(uint16_t)(360+sin(n2+d)*40+0.5);
        line(x1,y1,x2,y2);
        n2=n2+(pi/30);
    }
    puts("Graphics Rendering Complete!\n");
    return 0;
}
